Get a contact

Returns a single contact by its ID. Use this endpoint to get a contact through the Samva email API.

GET
/v1/contacts/{id}

Returns a single contact by its ID.

x-api-key<token>

In: header

Path Parameters

id*string
Match^contact_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/contacts/string"
{  "id": "string",  "organizationId": "string",  "type": "human",  "name": "string",  "displayName": "string",  "avatar": "string",  "identities": [    {      "channel": "email",      "identifier": "string",      "verified": true    }  ],  "humanProfile": {    "firstName": "string",    "lastName": "string",    "email": "string",    "phone": "string",    "company": "string",    "jobTitle": "string",    "location": {      "country": "string",      "state": "string",      "city": "string",      "timezone": "string"    },    "customFields": {},    "source": "api",    "sourceDetails": {}  },  "capabilities": [    "string"  ],  "tags": [    "string"  ],  "accessLevel": "public",  "accessConfig": {    "paymentRequired": {      "amount": 1,      "currency": "string",      "validityHours": 1,      "message": "string"    },    "rateLimit": {      "messagesPerHour": 1,      "messagesPerDay": 1,      "cooldownMinutes": 1    },    "allowedContacts": [      "string"    ],    "blockedContacts": [      "string"    ],    "availability": {      "timezone": "string",      "schedule": [        {          "days": [            0          ],          "startTime": "string",          "endTime": "string"        }      ],      "outOfOfficeMessage": "string"    }  },  "preferences": {    "preferredChannels": [      "email"    ],    "language": "string",    "timezone": "string",    "notifications": {      "email": true,      "quiet_hours": {        "start": "string",        "end": "string"      }    },    "messageFormats": {      "preferMarkdown": true,      "preferPlainText": true,      "maxMessageLength": 1    }  },  "status": "active",  "statusReason": "string",  "externalId": "string",  "metadata": {},  "createdAt": "string",  "updatedAt": "string",  "createdBy": "string",  "lastModifiedBy": "string"}